Package com.sun.jna.platform.unix

## Interface Reboot

- All Known Subinterfaces:
    `LibC`, `LibC`, `LibCAPI`, `SystemB`

      public interface Reboot

  Contains definitions related to the `reboot` API
  Author:
    Lyor Goldstein

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `RB_AUTOBOOT` | Perform a hard reset now.
    `static int` | `RB_DISABLE_CAD` | Disable reboot using Ctrl-Alt-Delete keystroke.
    `static int` | `RB_ENABLE_CAD` | Enable reboot using Ctrl-Alt-Delete keystroke.
    `static int` | `RB_HALT_SYSTEM` |
    `static int` | `RB_KEXEC` | Reboot system into new kernel.
    `static int` | `RB_POWER_OFF` | Stop system and switch power off if possible.
    `static int` | `RB_SW_SUSPEND` | Suspend system using software suspend.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `reboot​(int cmd)` | Stops/Reboots the machine

- - ### Field Detail

    - #### RB_AUTOBOOT

          static final int RB_AUTOBOOT

      Perform a hard reset now.
      See Also:
        Constant Field Values

    - #### RB_HALT_SYSTEM

          static final int RB_HALT_SYSTEM

      See Also:
        Constant Field Values

    - #### RB_ENABLE_CAD

          static final int RB_ENABLE_CAD

      Enable reboot using Ctrl-Alt-Delete keystroke.
      See Also:
        Constant Field Values

    - #### RB_DISABLE_CAD

          static final int RB_DISABLE_CAD

      Disable reboot using Ctrl-Alt-Delete keystroke.
      See Also:
        Constant Field Values

    - #### RB_POWER_OFF

          static final int RB_POWER_OFF

      Stop system and switch power off if possible.
      See Also:
        Constant Field Values

    - #### RB_SW_SUSPEND

          static final int RB_SW_SUSPEND

      Suspend system using software suspend.
      See Also:
        Constant Field Values

    - #### RB_KEXEC

          static final int RB_KEXEC

      Reboot system into new kernel.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### reboot

          int reboot​(int cmd)

      Stops/Reboots the machine
      Parameters:
        `cmd` - The command
      Returns:
        If successful, this call never returns. Otherwise, a -1 is returned and an error is returned in the global variable `errno`.
      See Also:
        man 2 reboot